Skip to main content
DELETE
/
v2
/
properties
/
{propertyId}
/
values
/
{propertyValueId}
Delete Property Value
curl --request DELETE \
  --url https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "errorCode": "<string>",
  "validationErrors": {},
  "errors": {},
  "errorMessage": "<string>",
  "stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

propertyId
string<uuid>
required

The id of the property that the property values belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

propertyValueId
string<uuid>
required

The id of the property value.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response